List Hero SMS operators
GET
/providers/herosms/operators
const url = 'https://api.clearance.rest/numbers/providers/herosms/operators';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.clearance.rest/numbers/providers/herosms/operators \ --header 'X-API-Key: <X-API-Key>'Mobile operators per country, as { countryId: [operator, …] }. Pass one as operator when renting to restrict the number to that operator.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”country
integer
Only this country (Hero SMS numeric id).
Responses
Section titled “Responses”Operators keyed by country id.
Media typeapplication/json
object
success
required
boolean
operators
required
object
key
additional properties
Array<string>
Example
{ "success": true, "operators": { "6": [ "telkomsel", "indosat", "axis" ] }}The X-API-Key header is missing or invalid.
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "geçersiz API anahtarı"}The upstream provider call failed (network error, auth error, or the provider’s own error).
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "invalid json body"}